Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QTextListFormat.Style

    java.lang.Object
      java.lang.Enum<QTextListFormat.Style>
          com.trolltech.qt.gui.QTextListFormat.Style

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTextListFormat.Style>

Enclosing class:
  QTextListFormat

    public static enum QTextListFormat.Style

extends java.lang.Enum<QTextListFormat.Style>
implements QtEnumerator

This enum describes the symbols used to decorate list items.

Constant | Value | Description
--- | --- | ---
`ListDisc` | `-1` | a filled circle
`ListCircle` | `-2` | an empty circle
`ListSquare` | `-3` | a filled square
`ListDecimal` | `-4` | decimal values in ascending order
`ListLowerAlpha` | `-5` | lower case Latin characters in alphabetical order
`ListUpperAlpha` | `-6` | upper case Latin characters in alphabetical order

Enum Constant Summary
`ListCircle` an empty circle
`ListDecimal` decimal values in ascending order
`ListDisc` a filled circle
`ListLowerAlpha` lower case Latin characters in alphabetical order
`ListSquare` a filled square
`ListStyleUndefined` Internal.
`ListUpperAlpha` upper case Latin characters in alphabetical order

Method Summary
`static QTextListFormat.Style` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextListFormat.Style` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTextListFormat.Style[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ListDisc

    public static final QTextListFormat.Style ListDisc

  a filled circle

### ListCircle

    public static final QTextListFormat.Style ListCircle

  an empty circle

### ListSquare

    public static final QTextListFormat.Style ListSquare

  a filled square

### ListDecimal

    public static final QTextListFormat.Style ListDecimal

  decimal values in ascending order

### ListLowerAlpha

    public static final QTextListFormat.Style ListLowerAlpha

  lower case Latin characters in alphabetical order

### ListUpperAlpha

    public static final QTextListFormat.Style ListUpperAlpha

  upper case Latin characters in alphabetical order

### ListStyleUndefined

    public static final QTextListFormat.Style ListStyleUndefined

  Internal.

Method Detail

### values

    public static final QTextListFormat.Style[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTextListFormat.Style c : QTextListFormat.Style.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTextListFormat.Style valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextListFormat.Style resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD